Commerce 7.0 Build: IBM DB2 Universal Database may not be installed

This was a new one to me, and it took some time of some top level experts to find the tech note on it, so I thought I’d post it here so others can hopefully find it more easily.

The scenario was a new install of Commerce with experienced client DBAs doing the DB2 install, instance creation, and database creation, including installing the DB2 client on the app servers (3 tier environment). I’m used to doing all of the DB2 work myself.

On the prerequisite checking done by Commerce (on install, not instance creation), it returned an error:

Thu Apr 21 11:45:22 EDT 2011 com.ibm.commerce.install.wizard.panel.CustomInstallPathPanel.validate(), IBM DB2 Universal
 Database path = /usr/IBM/db2/V9.5
 Thu Apr 21 11:45:22 EDT 2011 com.ibm.commerce.install.wizard.panel.CustomInstallPathPanel.validateDB2(), DB2 should be installed
 Thu Apr 21 11:45:22 EDT 2011 com.ibm.commerce.install.wizard.panel.CustomInstallPathPanel.validate(), Path for IBM DB2 Universal Database does not contain a valid install
 Thu Apr 21 11:45:22 EDT 2011 com.ibm.commerce.install.wizard.panel.CustomInstallPathPanel.execute(), Exiting with exit code 407

And/Or

Message Text: CWXAI7757W: The following silent install warning occured:
 The required IBM DB2 Universal Database may not be installed.
 If you want to use a local database with WebSphere Commerce, ensure that IBM DB2 Universal Database Enterprise Server Ed
 ition version 9.5.0.4 is installed on this machine before continuing.
 If you want to use a remote database with WebSphere Commerce, ensure that IBM DB2 Universal Database Administration Clie
 nt is installed on this machine before continuing.
 Check the install documentation for further details.
Message Text: CWXAI7756E: The following silent install error (407) occured:
 The specified location of IBM DB2 Universal Database does not appear to contain a valid installation.
 Check the install documentation for further details.

And the frustrating thing was that we had DB2 9.7 installed just fine. BUT the client had not installed the Data Server Client on the app servers – they had installed the RUNTIME Data Server Client on the app servers. I always do the Data Server Client. After some creative googling (it didn’t come up with the first few searches), I found this technote:

https://www-304.ibm.com/support/docview.wss?uid=swg21461522

The simple solution was to uninstall the runtime client and then install the full Data Server Client on the application server. At one point I was mislead into thinking that Commerce was looking for the 9.5 db2 instead of 9.7, but that was not the root issue.

You may also like...

Leave a Reply

Your email address will not be published. Required fields are marked *